/purchase-diff
Returns purchases that changed since the provided timestamp (combined next-action + on-chain-state/result).
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Query Parameters
limit?number
The number of purchases to return
Default
10Range
1 <= value <= 100cursorId?string
Pagination cursor (purchase id). Used as tie-breaker when lastUpdate equals a purchase change timestamp
lastUpdate?string
Return purchases whose selected status timestamp changed at/after this ISO timestamp
Default
"1970-01-01T00:00:00.000Z"network*string
The network the purchases were made on
Value in
"Preprod" | "Mainnet"filterSmartContractAddress?|
The smart contract address of the payment source
includeHistory?string
Whether to include the full transaction and status history of the purchases
Default
"false"Response Body
application/json
curl -X GET "https://loading/./../api/v1/purchase/diff?network=Preprod"{
"status": "Success",
"data": {
"Purchases": [
{
"id": "cuid_v2_auto_generated",
"blockchainIdentifier": "blockchain_identifier",
"agentIdentifier": "agent_identifier",
"lastCheckedAt": null,
"onChainState": null,
"metadata": null,
"requestedById": "requester_id",
"resultHash": "",
"cooldownTime": 0,
"payByTime": null,
"cooldownTimeOtherParty": 0,
"collateralReturnLovelace": null,
"inputHash": "input_hash",
"NextAction": {
"requestedAction": "FundsLockingRequested",
"errorType": null,
"errorNote": null
},
"createdAt": "1970-01-20T20:00:36.260Z",
"updatedAt": "1970-01-20T20:00:36.260Z",
"externalDisputeUnlockTime": "1713636260",
"submitResultTime": "1970-01-20T20:00:36.260Z",
"unlockTime": "1713636260",
"PaidFunds": [],
"PaymentSource": {
"id": "payment_source_id",
"network": "Preprod",
"policyId": "policy_id",
"smartContractAddress": "address"
},
"SellerWallet": null,
"SmartContractWallet": null,
"CurrentTransaction": null,
"TransactionHistory": [],
"WithdrawnForSeller": [],
"WithdrawnForBuyer": [],
"totalBuyerCardanoFees": 0,
"totalSellerCardanoFees": 0,
"nextActionOrOnChainStateOrResultLastChangedAt": "1970-01-20T20:00:36.260Z",
"nextActionLastChangedAt": "1970-01-20T20:00:36.260Z",
"onChainStateOrResultLastChangedAt": "1970-01-20T20:00:36.260Z"
}
]
}
}Empty
Empty
Empty



